

	function tischAuswaehlen(tischId, disableIndicator=false, kunden_id=false){

		addedFunction=false;
		if(disableIndicator == 'disabled'){
			if(takeOtherTable == 'ja'){
				openGeneralDialog('tischUebernehmen', 'Tisch ist zugeordnet', 'Bestätigen sie um den zugeordneten Tisch,  '+tischId+' zu übernhmen.', 'wrapper', tischId); 
				return false;
			}
			else return false;
		}
		else if(disableIndicator=='confirmTischUebernehmen'){
			addedFunction=disableIndicator;
		}
		
		if( $("#setTargetHiddenField").length && $("#setTargetHiddenField").val()=='setTargetTable') {
			targetTischId=tischId;
			aktuelleTischId=$("#currentTableId").val();
			moveTotalTable(aktuelleTischId, targetTischId);	
		}
		
		else if( $("#setTargetHiddenField").length && $("#setTargetHiddenField").val()=='setByMoveTableDetail') {
			targetTischId=tischId;			
			$.ajax({
					type: "POST",
					url: "include/ajax_functions_gastro.php",
					dataType : "html",
					data: { functionKey:'moveToTableDetail', targetTable:targetTischId, addedFunction:addedFunction	} ,
					async: true,
					success:function(response){	
						window.location.href=window.location.href;		
						tische_anzeigen(false);			// wenn false gesetzt wird der erste raum (reihenfolge) angezeigt
					}
			});	
		}
		else{
			aktuelleTischId=tischId;
			$.ajax({
					type: "POST",
					url: "ajax_funktionen_kp.php",
					dataType : "html",
					data: { functionKey:'setSession', posVersion:'gastro', tableId:aktuelleTischId, warenkorbId:aktuelleTischId, addedFunction:addedFunction, kunden_id:kunden_id 	} ,
					async: true,
					success:function(response){
						if (response.toLowerCase().indexOf('success') !== -1){
							window.location.replace("kassieren.php");
						}
					}
				});
		}
		
		
		
	}
	
	function kombiprodukt_produkt_hinzufügen(beilagen_produkt_id, parent_produkt_id)
	{
		//alert("Produkt wird hinzugefügt "+beilagen_produkt_id+" Parent :"+parent_produkt_id);
		$.ajax({
			type: "POST",
			url: "include/ajax_functions_gastro.php",
			dataType : "html",
			data: { functionKey:'beilage_zu_kombiprodukt_hinzufuegen', beilagen_produkt_id:beilagen_produkt_id, parent_produkt_id:parent_produkt_id} ,
			async: false,
			success:function(ajaxResponse)
			{	
				//$("#beilagen_container_kombi").html(ajaxResponse);
				//console.log("----- \n"+ajaxResponse);
				kombi_produkte_childs_anzeigen(parent_produkt_id);
				bon_anzeigen("");
			}
		});
		bon_anzeigen("");		
	}
	
	// Das wird aufgerufen - wenn Beilagen ändern aktiviert ist und das Produkt kein Kombiprodukt ist !!!
	function beilagen_aendern(beilagenName, beilagenPreisNetto, beilagenPreisBrutto, beilageBasispreisAendern=false){

		operation=$("#gastroBeilagenoperationsStatus").val();
		currentVal=$("#beilagenSum").val();
		currentValBrut=$("#beilagenSumBrutto").val();
		// Variable BEILAGEN_MINUS_NUR_BEI_BASISPREISAENDERUNG wird global in kassieren.php gesetzt
		//alert (BEILAGEN_MINUS_NUR_BEI_BASISPREISAENDERUNG);
		
		if(operation == 'minus'  && beilageBasispreisAendern != 1 ){
			prevVal=$("#beilagenTxtFieldMinus").val();
			if(prevVal.indexOf(beilagenName) !== -1 ) return false;
			if(prevVal != "")  $("#beilagenTxtFieldMinus").val(prevVal+"; "+beilagenName);
			else $("#beilagenTxtFieldMinus").val(beilagenName);
			
			calcPrice=(currentVal*1);
			calcPriceBrut=(currentValBrut*1);
				
			// auslesen Beilagen berechnen
			if (BEILAGEN_MINUS_NUR_BEI_BASISPREISAENDERUNG==='nein')
			{
				calcPrice=(currentVal*1)-(beilagenPreisNetto*1);
				calcPriceBrut=(currentValBrut*1)-(beilagenPreisBrutto*1);
				//alert ("Rechne Minus ohne Basispreis");
			}
				
		}
		else if(operation == 'minus'  && beilageBasispreisAendern*1 === 1 ){
				//  Artikelname editieren, anhängen vom "Beilagen Txt" checken ob das schon drinnen steht
				// wird anders -> es gibt ein hidden Field -> basisPrGeaendertField     default 0 wenn basispreis geändert wurde -> 1
				//  
				
				if(($("#basisPrGeaendertField").val()*1) === 1){
					//es wird nur eine Basispreis Änderung erlaubt
					$("#editierenMsgField").val('Artikel Basispreis Änderung nicht erlaubt');
					setInterval(function(){ $("#editierenMsgField").val('');}, 3000);
					return false;
				}
				else{
					// auslesen Initialpreis und berechnen
					initPreis=$("#beilagenProdInitialPreis").val();
					if(initPreis*1 > 0){
							// august 2019 -> änderung der initpreis wird beim artikel einfügen ins feld geschrieben
						newInitPreis=(initPreis*1) - (beilagenPreisNetto*1);
						$("#beilagenProdInitialPreis").val(newInitPreis.toFixed(4));
						$("#basisPrGeaendertAmount").val(-beilagenPreisNetto*1);
						$("#basisPrGeaendertField").val(1);
						prodN=$("#editieren_produktname").val();
						$("#editieren_produktname").val(prodN + " "+beilagenName);
						$("#editierenMsgField").val('Artikel Basispreis (Beilage) geändert.');
						
						setInterval(function(){ $("#editierenMsgField").val('');}, 3000);
					}
					
				}
	
				//   das ist nur weil wir sonst die variablen calcPr... nicht initialisiert haben
				calcPrice=$("#beilagenSum").val();
				calcPriceBrut=$("#beilagenSumBrutto").val();
		}
		else if (operation == 'plus'   && beilageBasispreisAendern != 1 ) {
			prevVal=$("#beilagenTxtFieldPlus").val();
			if(prevVal.indexOf(beilagenName) !== -1 ) return false;
			if(prevVal != "")  $("#beilagenTxtFieldPlus").val(prevVal+"; "+beilagenName);
			else $("#beilagenTxtFieldPlus").val(beilagenName);
				// auslesen Beilagen berechnen				
				calcPrice=(currentVal*1)+(beilagenPreisNetto*1);
				calcPriceBrut=(currentValBrut*1)+(beilagenPreisBrutto*1);				
		}
		else if(operation == 'plus'  && beilageBasispreisAendern*1 === 1 ){
			if(($("#basisPrGeaendertField").val()*1) === 1){
					//es wird nur eine Basispreis Änderung erlaubt
					$("#editierenMsgField").val('Artikel Basispreis Änderung nicht erlaubt');
					setInterval(function(){ $("#editierenMsgField").val('');}, 3000);
					return false;
			}
			else{
					// auslesen Initialpreis und berechnen
					initPreis=$("#beilagenProdInitialPreis").val();
					if(initPreis*1 > 0){
							// august 2019 -> änderung der initpreis wird beim artikel einfügen ins feld geschrieben
						newInitPreis=(initPreis*1) + (beilagenPreisNetto*1);
						$("#beilagenProdInitialPreis").val(newInitPreis.toFixed(4));
						$("#basisPrGeaendertAmount").val(beilagenPreisNetto*1);
						$("#basisPrGeaendertField").val(1);
						prodN=$("#editieren_produktname").val();
						$("#editieren_produktname").val(prodN + " "+beilagenName);
						$("#editierenMsgField").val('Artikel Basispreis (Beilage) geändert.');
						
						setInterval(function(){ $("#editierenMsgField").val('');}, 3000);
					}
				//   das ist nur weil wir sonst die variablen calcPr... nicht initialisiert haben
				calcPrice=$("#beilagenSum").val();
				calcPriceBrut=$("#beilagenSumBrutto").val();	
			}
				
			
			
		}
	
		else{	$("#editierenMsgField").val('Es wurde weder Minus noch Plus berechnen ausgewählt.');
				setInterval(function(){ $("#editierenMsgField").val('');}, 3000);
				return false;
		}
		
		if(beilagenKalkulation == 'ja'){
			$("#editieren_brutto").prop('disabled', true).css({"background":"#aaa", "color":"#666"			});
		}

		$("#beilagenSum").val(calcPrice);
		$("#beilagenSumBrutto").val(calcPriceBrut);
		dispplayPrice=(calcPriceBrut*1).toFixed(2).replace('.', ',');
		$("#beilagenSumBruttoDisplay").val(dispplayPrice);		
		
	}
	
	function beilagenStrechCont(zz){
		if($("#gastroBeilagenStrechStatus").val() == 'nNormal'	){		
			$("#zahlen_mitte_edit").css({ "height":"30%" });
			$("#artikelArtSelectDiv").css({ "height":"35%" });
			
			$(".ganze_zeile_editmodal_gastro").css({ "height":"16%" });
			$(".editierenZiffernblock").css({ "display":"none" });		
			$(".modal_editieren_button_div").css({ "margin-top":"5%" }).addClass('editStrechModeButton');
			$(".editStrechM").addClass('editStrechMode').removeClass('editStrechModeNone');
			$("#beilagen_container").css({ "height":"62%" });
			$("#gastroBeilagenStrechStatus").val('streched');

		}
		else if($("#gastroBeilagenStrechStatus").val() == 'streched'	){
			resetStrech();
		}
		
		
	}
		// resetStrech wird auch beim aufruf vom edit modal aufgerufen
	function resetStrech(){
		$("#zahlen_mitte_edit").css({ "height":"60%" });
			$("#artikelArtSelectDiv").css({ "height":"15%" });
			$(".ganze_zeile_editmodal_gastro").css({ "height":"12%" });
			$(".editierenZiffernblock").css({ "display":"block" });
			$(".modal_editieren_button_div").css({ "margin-top":"-1%" });
			$(".editStrechM").addClass('editStrechModeNone').removeClass('editStrechMode');
			$("#artikelArtSelectDiv, .modal_editieren_button_div").removeClass('editStrechModeButton');
			$("#beilagen_container").css({ "height":"32%" });
			$("#gastroBeilagenStrechStatus").val('nNormal');
	}
	
	function beilagenOperation(direction){			
		$("#gastroBeilagenoperationsStatus").val(direction);
		$(".beilagenEditBut").css({"background":"#ddd" });			
		if($("#gastroBeilagenoperationsStatus").val() == 'minus') $("#beilagenEditButMinus").css({"background":buttonColor });
		if($("#gastroBeilagenoperationsStatus").val() == 'plus') $("#beilagenEditButPlus").css({"background":buttonColor });	
	}
	
	
	function setArtikelArt(artikelArtId, buttonId)
	{
		$("#artikelArtSelectDiv > button").removeClass('editierenArtikelArtSelBut_selected').addClass('editierenArtikelArtSelBut');
		if(artikelArtId > 0) $("#"+buttonId).removeClass('editierenArtikelArtSelBut').addClass('editierenArtikelArtSelBut_selected');
		$("#artSelectedVal").val(artikelArtId);

	//	alert(artikelArtId+" -- "+buttonId);
	
	}
	
	// Setzt die Artikelart bei Kombi Produkten
	// - bei Kombiprodukten wird sofort gespeichert - nicht erst beim OK drücken
	function setArtikelArt_kombi(artikelArtId, buttonId, offener_bon_parentID)
	{
		$("#kombi_artikelArtSelectDiv > button").removeClass('editierenArtikelArtSelBut_selected').addClass('editierenArtikelArtSelBut');
		if(artikelArtId > 0) $("#"+buttonId).removeClass('editierenArtikelArtSelBut').addClass('editierenArtikelArtSelBut_selected');
		$("#artSelectedVal").val(artikelArtId);
		
		$.ajax({
			type: "POST",
			url: "include/ajax_functions_gastro.php",
			dataType : "html",
			data: { functionKey:'artikelArt_save_kombi', artikelArtId:artikelArtId, buttonId:buttonId, offener_bon_parentID:offener_bon_parentID} ,
			async: true,
			success:function(ajaxResponse)
			{	
				//$("#beilagen_container_kombi").html(ajaxResponse);
				//console.log("-----"+beilagenGroupId+"\n"+ajaxResponse);
			}
		});

	//	alert(artikelArtId+" -- "+buttonId);
	
	}
	
	
	// kombi: wenn ein Kombi produkt ist, dann andere funktionen aufrufen
	function getBeilagenSubGroup(beilagenGroupId, beilagenGroupParentId=false, kombi=0, produkt_parent_id=false){
		//console.log("getBeilagenSubGroup aufgerufen. beilagenGroupId: "+beilagenGroupId+", beilagenGroupParentId: "+beilagenGroupParentId);
							//data: { functionKey:'getBeilagenSubGroup', beilagenGroupId:beilagenGroupId	} ,
		$.ajax({
					type: "POST",
					url: "include/ajax_functions_gastro.php",
					dataType : "html",
					data: { functionKey:'getBeilagenGroup', beilagenGroupId:beilagenGroupId, beilagenGroupParentId:beilagenGroupParentId, kombi:kombi, produkt_parent_id:produkt_parent_id	} ,
					async: true,
					success:function(ajaxResponse)
					{	
						if (kombi==0)
						{
							$("#beilagen_container").html(ajaxResponse);
						}
						else 
						{
							$("#beilagen_container_kombi").html(ajaxResponse);
						}
						//console.log("-----"+beilagenGroupId+"\n"+ajaxResponse);
					}
				});
		
	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	